# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():

    print('Installing Seadrive')
    version = control['version'].split('-',1)[0]
    install_msi_if_needed('seadrive-%s-en.msi' % version,min_version=version)


def update_package():
    print('Updating Seadrive package')
    import requests,re
    from waptpackage import PackageEntry

    download = requests.get('https://www.seafile.com/en/download/').text
    try:
        version = re.search('//s3\.eu\-central\-1\.amazonaws\.com/download\.seadrive\.org/seadrive-(\d+(\.\d+)*)-en.msi', download).group(1)
    except:
        error('Version not found')

    print('Latest version is %s' % version)
    pe = PackageEntry();
    control = pe.load_control_from_wapt('.')

    filename = 'seadrive-%s-en.msi' % version
    url = 'https://s3.eu-central-1.amazonaws.com/download.seadrive.org/%s' % filename

    if not isfile(filename):
        print('Downloading Seadrive %s from %s' % (version, url))
        wget(url, filename)

    if isfile(filename):
        for old in glob.glob(r'seadrive-*.msi'):
            if old != filename:
                remove_file(old)

    if Version(version) > Version(control['version'].split('-',1)[0]):
        print('Updating control file with new version %s' % version)
        pe.version = version + '-0'
        pe.maturity = 'PREPROD'
        pe.save_control_to_wapt('.')

if __name__ == '__main__':
    update_package()

